import { MigrationInterface, QueryRunner } from 'typeorm';

export class AddColumnItemName1726141393404 implements MigrationInterface {
  name = 'AddColumnItemName1726141393404';

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "users_login" ADD "item_name" character varying`,
    );
    await queryRunner.query(
      `ALTER TABLE "log_users_login" ADD "item_name" character varying`,
    );
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.query(
      `ALTER TABLE "log_users_login" DROP COLUMN "item_name"`,
    );
    await queryRunner.query(
      `ALTER TABLE "users_login" DROP COLUMN "item_name"`,
    );
  }
}
